<?php
/*
Plugin Name: Social News On-Demand
Plugin URI: http://www.kreativrauschen.com/blog/2008/02/28/social-news-on-demand-snod-wordpress-plugin/
Description: Insert Voting-Buttons for several social news plattforms only for visitors coming from that platform. See <a href="http://www.kreativrauschen.com/blog/tag/snod/">kreativrauschen.com</a> for updates.
Version: 1.0.0
Author: Florian Sander
Author URI: http://www.kreativrauschen.com
*/

function snod_content_filter($content) {
  if (strncmp($_SERVER['HTTP_REFERER'], 'http://www.yigg.de', 18) == 0 ||
      strncmp($_SERVER['HTTP_REFERER'], 'http://yigg.de', 14) == 0 ) {
    $content = '<style type="text/css" media="screen">
.yiggbutton {
float:left;
padding:3px 5px 5px 5px;
}
</style>

<div class="snod_button"><div class="yiggbutton">
  <script>
    yigg_url = '."'".get_permalink()."'".';
  </script>
  <script src="http://webtools.yigg.de/emb_ycount.js"></script>
</div></div>'.$content;
  } else if (strncmp($_SERVER['HTTP_REFERER'], 'http://www.webnews.de', 21) == 0 ||
              strncmp($_SERVER['HTTP_REFERER'], 'http://webnews.de', 17) == 0) {
    $content = '<script type="text/javascript">
WN_Type = 2;
WN_Story = '."'".get_permalink()."'".';
</script>
<div class="snod_button">
<div class="webnewsbutton"><script type="text/javascript" id="wnevs" src="http://tools.webnews.de/www/remotevote.js"></script></div>
</div>'.$content;
	} else if (strncmp($_SERVER['HTTP_REFERER'], 'http://www.digg.com', 18) == 0 || strncmp($_SERVER['HTTP_REFERER'], 'http://digg.com', 14) == 0) {
	 $content = '
	<script type="text/javascript">
digg_url = '."'".get_permalink()."'".';
</script>
<div class="snod_button">
<script src="http://digg.com/tools/diggthis.js" type="text/javascript"></script>
</div>'.$content;
	} else if (strncmp($_SERVER['HTTP_REFERER'], 'http://www.reddit.com', 21) == 0 || strncmp($_SERVER['HTTP_REFERER'], 'http://reddit.com', 17) == 0) {
	 $content = '
<div class="snod_button">
<script>reddit_url='."'".get_permalink()."'".';</script>
<script type="text/javascript" src="http://reddit.com/button.js?t=2"></script>
</div>'.$content;
	} else if (strncmp($_SERVER['HTTP_REFERER'], 'http://www.propeller.com', 24) == 0 || strncmp($_SERVER['HTTP_REFERER'], 'http://propeller.com', 20) == 0) {
	 $content = '
<div class="snod_button">
  <script type="text/javascript"
	src="http://www.propeller.com/widgets/med_vote_if/'.get_permalink().'">
</script>
</div>'.$content;
  }  
  
  return $content;
}

/*function snod_add_options_page() {
	if (function_exists('add_options_page')) {
		add_options_page('Social News On-Demand', 'Social News On-Demand', 8, basename(__FILE__), 'snod_options_page');
	}
}

function snod_options_page() {
  echo "<h2>Social News On-Demand</h2>";
}*/

add_filter('the_content', 'snod_content_filter');
?>
